create_dir.h File Reference

Create a new directory recursively. More...

`#include <sys/stat.h>`

Go to the source code of this file.

## Functions

int | create_dir (const char *path, mode_t mode)
| Create a new directory recursively.
int | create_dir_parents (const char *path, mode_t mode)
| Create needed parent directories of a file or directory.

## Detailed Description

Create a new directory recursively.

## Function Documentation

## create_dir()

int create_dir | ( | const char * | path,
|  | mode_t | mode )

Create a new directory recursively.

Parameters

  path | The full path of a directory. It is not necessary for all components of the path to exist.
  mode | The desired unix mode bits of the directory and parents.

Returns
  One on success, zero on failure.

## create_dir_parents()

int create_dir_parents | ( | const char * | path,
|  | mode_t | mode )

Create needed parent directories of a file or directory.

Parameters

  path | The full path of a file or directory.
  mode | The desired unix mode bits of the parent directories.

Returns
  One on success, zero on failure.